package com.example.what_the_fantasy.ui.components

import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp


@Composable
fun ErrorMessageProfileComponent(titleResId : Int) {
    val textError = stringResource(id = titleResId)
    Text(
        text = textError,
        color = Color.Red,
        fontSize = 12.sp,
        modifier = Modifier.padding(top = 4.dp)
    )
}

@Composable
fun ErrorMessageSubmitQuoteComponent(titleResId: Int) {
    val textError = stringResource(id = titleResId)
    Text(
        text = textError,
        color = Color.Red,
        fontSize = 12.sp,
        modifier = Modifier.padding(top = 4.dp)
    )
}